#!/usr/bin/env python
# -*- coding: utf-8 -*-
#Boa:App:BoaApp

#
# This is the control module, it loads the main application.
#
# This is what you should run to start the program.
#

"""
Copyright (C) 2006-2008 ianaré sévi

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

ianare@gmail.com

--

All translations also Copyright (c) Ianaré Sévi, under GPL v3
"""

import sys
path = sys.path[0]

# Prefer wxpython 2.8
if not hasattr(sys, "frozen"):
    try:
        import wxversion
    except:
        print "\nwxPython is required!\nRefer to 'readme_xx.html'",\
              "for installation instructions.\n"
        sys.exit()
    else:
        wxversion.select(['2.6', '2.8'])
import wx
import os
import platform

# wxversion changes path
sys.path[0] = path

modules ={u'ChangeCase': [0, '', u'operations/ChangeCase.py'],
 u'ChangeLength': [0, '', u'operations/ChangeLength.py'],
 u'DateTime': [0, '', u'operations/DateTime.py'],
 u'Directory': [0, '', u'operations/Directory.py'],
 u'DirectoryTools': [0, '', u'operations/DirectoryTools.py'],
 u'EXIF': [0, '', u'operations/EXIF.py'],
 u'Insert': [0, '', u'operations/Insert.py'],
 u'InsertTools': [0, '', u'operations/InsertTools.py'],
 u'Move': [0, '', u'operations/Move.py'],
 u'OpButtons': [0, '', u'operations/OpButtons.py'],
 u'Replace': [0, '', u'operations/Replace.py'],
 u'ReplaceTools': [0, '', u'operations/ReplaceTools.py'],
 u'Search': [0, '', u'operations/Search.py'],
 u'Sorting': [0, '', u'Sorting.py'],
 u'Swap': [0, '', u'operations/Swap.py'],
 u'YourModuleName': [0, '', u'operations/YourModuleName.py'],
 u'about': [0, u'about box', u'about.py'],
 u'accentStrip': [0, '', u'operations/accentStrip.py'],
 u'errors': [0, '', u'errors.py'],
 u'examples': [0, '', u'examples.py'],
 u'helpDiag': [0, '', u'helpDiag.py'],
 u'id3reader': [0, '', u'id3reader.py'],
 u'main': [0, '', u'main.py'],
 u'main_window': [1, u'Main frame of Application', u'main_window.py'],
 u'numbering': [0, '', u'numbering.py'],
 u'panelOpButtons': [0, '', u'panelOpButtons.py'],
 u'picker': [0, '', u'picker.py'],
 u'preferences': [0, u'preferences dialog', u'preferences.py'],
 u'prefsAutomation': [0, '', u'prefsAutomation.py'],
 u'prefsDisplay': [0, '', u'prefsDisplay.py'],
 u'prefsErrorCheck': [0, '', u'prefsErrorCheck.py'],
 u'prefsGeneral': [0, '', u'prefsGeneral.py'],
 u'roman': [0, '', u'roman.py'],
 u'searchPanel': [0, '', u'searchPanel.py'],
 u'sorting': [0, '', u'sorting.py'],
 u'utils': [0, '', u'utils.py']}

class BoaApp(wx.App):
    def OnInit(self):
        import main_window
        wx.InitAllImageHandlers()
        self.main = main_window.create(None)
        self.main.Show()
        self.SetTopWindow(self.main)
        return True


def main():
    if platform.system() == 'Linux':
        try:
            # to fix some KDE display issues:
            del os.environ['GTK_RC_FILES']
            del os.environ['GTK2_RC_FILES']
        except (ValueError, KeyError):
            pass
    
    application = BoaApp(0)
    application.MainLoop()


if __name__ == '__main__':
    if 'unicode' not in wx.PlatformInfo:
        print "\nInstalled version: %s\nYou need a unicode build of wxPython to run Metamorphose 2.\n"%wxversion.getInstalled()
    else:
        main()

