# -*- coding: utf-8 -*-
#Boa:FramePanel:panel

"""
Copyright (C) 2006-2008 ianaré sévi

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

ianare@gmail.com
"""

import wx
import utils

[wxID_PANEL, wxID_PANELRENREFRESHMIN, wxID_PANELSHOWPREVIEWHIGHLIGHT, 
 wxID_PANELSHOWPREVIEWICONS, wxID_PANELSTATICTEXT1, wxID_PANELSTATICTEXT2,
] = [wx.NewId() for _init_ctrls in range(6)]

class panel(wx.Panel):
    def _init_coll_mainSizer_Items(self, parent):
        # generated method, don't edit

        parent.AddWindow(self.showPreviewIcons, 0, border=10, flag=wx.ALL)
        parent.AddWindow(self.showPreviewHighlight, 0, border=10, flag=wx.ALL)
        parent.AddWindow(self.staticText2, 0, border=10, flag=wx.ALL)
        parent.AddSizer(self.boxSizer1, 0, border=25, flag=wx.LEFT)

    def _init_coll_boxSizer1_Items(self, parent):
        # generated method, don't edit

        parent.AddWindow(self.staticText1, 0, border=8,
              flag=wx.ALIGN_CENTER | wx.RIGHT)
        parent.AddWindow(self.renRefreshMin, 0, border=0, flag=wx.ALIGN_CENTER)

    def _init_sizers(self):
        # generated method, don't edit
        self.mainSizer = wx.BoxSizer(orient=wx.VERTICAL)

        self.boxSizer1 = wx.BoxSizer(orient=wx.HORIZONTAL)

        self._init_coll_mainSizer_Items(self.mainSizer)
        self._init_coll_boxSizer1_Items(self.boxSizer1)

        self.SetSizer(self.mainSizer)

    def _init_ctrls(self, prnt):
        # generated method, don't edit
        wx.Panel.__init__(self, id=wxID_PANEL, name=u'panel', parent=prnt,
              pos=wx.Point(1097, 617), size=wx.Size(416, 335),
              style=wx.TAB_TRAVERSAL)
        self.SetClientSize(wx.Size(416, 335))

        self.showPreviewIcons = wx.CheckBox(id=wxID_PANELSHOWPREVIEWICONS,
              label=_(u'Show thumbnails in preview'), name=u'showPreviewIcons',
              parent=self, pos=wx.Point(10, 10), style=0)
        self.showPreviewIcons.SetValue(True)

        self.showPreviewHighlight = wx.CheckBox(id=wxID_PANELSHOWPREVIEWHIGHLIGHT,
              label=_(u'Highlight changed items in preview'),
              name=u'showPreviewHighlight', parent=self, pos=wx.Point(10, 52),
              style=0)
        self.showPreviewHighlight.SetValue(True)

        self.staticText2 = wx.StaticText(id=wxID_PANELSTATICTEXT2,
              label=_(u"Change the refresh rate of the renaming operation:"), name='staticText2',
              parent=self, pos=wx.Point(10, 99), style=0)
        
        self.staticText1 = wx.StaticText(id=wxID_PANELSTATICTEXT1,
              label=_(u"Refresh rate maximum:"), name='staticText1',
              parent=self, pos=wx.Point(10, 99), style=0)
              
        self.renRefreshMin = wx.SpinCtrl(id=wxID_PANELRENREFRESHMIN, initial=80,
              max=300, min=1, name=u'renRefreshMin', parent=self,
              pos=wx.Point(235, 94), size=wx.Size(55, -1), value='80',
              style=wx.SP_ARROW_KEYS)
        self.renRefreshMin.SetValue(80)
        self.renRefreshMin.SetToolTipString(_(u"Higher = faster ; Lower = more feedback"))

        self._init_sizers()

    def __init__(self, parent):
        self._init_ctrls(parent)
        self.SetSizerAndFit(self.mainSizer)


    def initEnabled(self):
        pass


    def OnBrowseButton(self, event):
        dlg = wx.DirDialog(self,_(u"Choose a directory:"),
            style=wx.DD_DEFAULT_STYLE)
        dlg.SetPath(self.logLocation.GetValue())
        try:
            if dlg.ShowModal() == wx.ID_OK:
                dir = dlg.GetPath()
                self.logLocation.SetValue(dir)
        finally: dlg.Destroy()
